Package org.apache.storm.generated

# Class ReadableBlobMeta

java.lang.Object
org.apache.storm.generated.ReadableBlobMeta

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<ReadableBlobMeta>`, `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class ReadableBlobMeta extends Object implements org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>, Serializable, Cloneable, Comparable<ReadableBlobMeta>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ReadableBlobMeta._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<ReadableBlobMeta._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadableBlobMeta()`
  `ReadableBlobMeta(ReadableBlobMeta other)`
  Performs a deep copy on other.
  `ReadableBlobMeta(SettableBlobMeta settable, long version)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `int`
  `compareTo(ReadableBlobMeta other)`
  `ReadableBlobMeta`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(ReadableBlobMeta that)`
  `ReadableBlobMeta._Fields`
  `fieldForId(int fieldId)`
  `SettableBlobMeta`
  `get_settable()`
  `long`
  `get_version()`
  `Object`
  `getFieldValue(ReadableBlobMeta._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_settable()`
  Returns true if field settable is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_version()`
  Returns true if field version is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(ReadableBlobMeta._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_settable(SettableBlobMeta settable)`
  `void`
  `set_settable_isSet(boolean value)`
  `void`
  `set_version(long version)`
  `void`
  `set_version_isSet(boolean value)`
  `void`
  `setFieldValue(ReadableBlobMeta._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_settable()`
  `void`
  `unset_version()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<ReadableBlobMeta._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### ReadableBlobMeta

    public ReadableBlobMeta()

  - ### ReadableBlobMeta

    public ReadableBlobMeta(SettableBlobMeta settable, long version)

  - ### ReadableBlobMeta

    public ReadableBlobMeta(ReadableBlobMeta other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public ReadableBlobMeta deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`

  - ### get_settable

    public SettableBlobMeta get_settable()

  - ### set_settable

    public void set_settable(SettableBlobMeta settable)

  - ### unset_settable

    public void unset_settable()

  - ### is_set_settable

    public boolean is_set_settable()
    Returns true if field settable is set (has been assigned a value) and false otherwise

  - ### set_settable_isSet

    public void set_settable_isSet(boolean value)

  - ### get_version

    public long get_version()

  - ### set_version

    public void set_version(long version)

  - ### unset_version

    public void unset_version()

  - ### is_set_version

    public boolean is_set_version()
    Returns true if field version is set (has been assigned a value) and false otherwise

  - ### set_version_isSet

    public void set_version_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(ReadableBlobMeta._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`

  - ### getFieldValue

    public Object getFieldValue(ReadableBlobMeta._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`

  - ### isSet

    public boolean isSet(ReadableBlobMeta._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(ReadableBlobMeta that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(ReadableBlobMeta other)
    Specified by:
      `compareTo` in interface `Comparable<ReadableBlobMeta>`

  - ### fieldForId

    public ReadableBlobMeta._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<ReadableBlobMeta,ReadableBlobMeta._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`